package com.css.simulation.resource.scheduler.feign;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.scheduler.feign.fallback.VideoServiceFallBack;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(
        contextId = "video",
        value = "simulation-resource-video",
        path = "/simulation/resource/video",
        fallback = VideoServiceFallBack.class
)
public interface VideoService {

    @GetMapping(value = "/generate")
    ResponseBodyVO<String> generateVideo(
           @RequestParam("projectId") String projectId,
           @RequestParam("projectType") String projectType,
           @RequestParam("taskId") String taskId
    );
}