package com.css.simulation.resource.video.controller;

import api.common.pojo.common.ResponseBodyVO;
import api.common.util.LinuxUtil;
import com.css.simulation.resource.video.service.VideoService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.io.IOException;

@RestController
public class VideoController {

    @Resource
    VideoService videoService;
    @Value("${scheduler.video-test-command}")
    String testCommand;


    /**
     * 接受 xosc 文件
     */
    @GetMapping(value = "/generate")
    ResponseBodyVO<String> generateVideo(
            @RequestParam("projectId") String projectId,
            @RequestParam("projectType") String projectType,
            @RequestParam("taskId") String taskId
    ) {
        return videoService.generateVideo(projectId, projectType, taskId);
    }


    /**
     * 接受 xosc 文件
     */
    @RequestMapping(value = "/test")
    public void testGenerateVideo() throws IOException {
//        LinuxUtil.execute("/root/disk1/simulation-cloud/esmini/code-examples-bin/image-capture /root/disk1/simulation-cloud/esmini/resources/xosc/lane_change_crest.xosc /root/disk1/simulation-cloud/esmini/test/screenshot ");
        LinuxUtil.execute(testCommand);
    }


}
